Skip to main content

Clean Rooms

View as Markdown

List Clean Room Notebook Task Runs GA

GET /api/2.0/clean-rooms/{clean_room_name}/runs

List all the historical notebook task runs in a clean room.

API scopes: cleanrooms

Parameters

clean_room_namestringRequiredpath

Name of the clean room.

notebook_namestringquery

Notebook name

page_sizeint32query

The maximum number of task runs to return. Currently ignored - all runs will be returned.

page_tokenstringquery

Opaque pagination token to go to next page based on previous query.

Response

runsarray of object

Name of the clean room.

Show child attributesHide child attributes
notebook_namestring

Asset name of the notebook executed in this task run.

start_timeint64

When the task run started, in epoch milliseconds.

run_durationint64

Duration of the task run, in milliseconds.

notebook_job_run_stateobject

State of the task run.

Show child attributesHide child attributes
life_cycle_statestring

A value indicating the run's current lifecycle state. This field is always available in the response. Note: Additional states might be introduced in future releases.

Values: RUN_LIFE_CYCLE_STATE_UNSPECIFIED, PENDING, RUNNING, TERMINATING, TERMINATED, SKIPPED, INTERNAL_ERROR, BLOCKED, WAITING_FOR_RETRY, QUEUED

result_statestring

A value indicating the run's result. This field is only available for terminal lifecycle states. Note: Additional states might be introduced in future releases.

Values: RUN_RESULT_STATE_UNSPECIFIED, SUCCESS, FAILED, TIMEDOUT, CANCELED, MAXIMUM_CONCURRENT_RUNS_REACHED, UPSTREAM_CANCELED, UPSTREAM_FAILED, EXCLUDED, EVICTED, SUCCESS_WITH_FAILURES, UPSTREAM_EVICTED, DISABLED

collaborator_job_run_infoobject

Job run info of the task in the runner's local workspace. This field is only included in the LIST API. if the task was run within the same workspace the API is being called. If the task run was in a different workspace under the same metastore, only the workspace_id is included.

Show child attributesHide child attributes
collaborator_job_idint64

Job ID of the task run in the collaborator's workspace.

collaborator_job_run_idint64

Job run ID of the task run in the collaborator's workspace.

collaborator_task_run_idint64

Task run ID of the task run in the collaborator's workspace.

collaborator_workspace_idint64

ID of the collaborator's workspace that triggered the task run.

collaborator_aliasstring

Alias of the collaborator that triggered the task run.

output_schema_namestring

Name of the output schema associated with the clean rooms notebook task run.

output_schema_expiration_timeint64

Expiration time of the output schema of the task run (if any), in epoch milliseconds.

notebook_etagstring

Etag of the notebook executed in this task run, used to identify the notebook version.

notebook_updated_atint64

The timestamp of when the notebook was last updated.

shared_output_schema_namestringPublic Preview

Name of the shared output schema associated with the clean rooms notebook task run. This schema is accessible by all collaborators when enable_shared_output is true.

shared_output_schema_expiration_timeint64Public Preview

Expiration time of the shared output schema of the task run (if any), in epoch milliseconds.

next_page_tokenstring

Opaque token to retrieve the next page of results. Absent if there are no more pages. page_token should be set to this value for the next request (for the next page of results).